##### ssl::context::use_tmp_dh_file (2 of 2 overloads)

Use the specified file to obtain the temporary Diffie-Hellman parameters.

    void use_tmp_dh_file(
        const std::string & filename,
        asio::error_code & ec);

This function is used to load Diffie-Hellman parameters into the context from a file.

###### Parameters

filename

  The name of the file containing the Diffie-Hellman parameters. The file must use the PEM format.

ec

  Set to indicate what error occurred, if any.

###### Remarks

Calls `SSL_CTX_set_tmp_dh`.